<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<!-- Responsive meta tags -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit = no">
		<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
		<!-- Custom CSS -->
		<title>Bootsrap Grid System</title>
	</head>
	<body>
		<h1 class="text text-white bg-danger">Bootstrap Grid System</h1>
		<!-- Container fluid means it occupies the whole viewport. Width is at 100% in all viewports -->
		
		<div class="container-fluid">
			<!-- A div has 12 columns -->
			<div class="row">
				<!-- col-8 means it wil occupy upto column 8 -->
				<div class ="bg-success border border-dark col-8">
					Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.
				</div>
				<!-- md means it applies to medium screen. If it becomes a medium screen, it will occupy the viewport width 100%-->
				<div class ="bg-warning border border-dark col-md-8">
					Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.
				</div>

			</div>
			<!-- end div row -->
			<h2 class="text-center">Rows with 2 equal columns</h2>
			<h3 class="text-center">1:1 Ratio</h3>
			<div class="row mt-3">
				<!-- py is padding -->
				<div class="bg-primary py-3 border border-dark col-6">
					<h2 class="text-center">6 columns</h2>
					<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>
				</div>
				<div class="bg-danger py-3 border border-dark col-6">
					6 columns
				</div>
			</div>
			<!-- end row 1:1 -->
			<div>
				<h3 class="text-center">1:2 Ratio</h3>
				<div class="row">
					<div class="bg-success py-3 border border-dark col-4">4 col</div>
					<div class="bg-info py-3 border border-dark col-8">8 col</div>
				</div>
			</div>

		</div>
		<!-- Create a row with columns in 1:3 ratio -->
		<div>
			<h2 class="text-center">1:3 ratio</h2>
			<div class="row">
				<div class="bg-danger py-3 border border-dark col-3">3 col</div>
				<div class="bg-warning py-3 border border-dark col-9">9 col</div>
			</div>
		</div>
		<h2 class="text-center">Rows with Three columns</h2>
		<h3 class="text-center">1:1:1</h3>
		<div class="row">
			<div class="bg-primary py-3 border border-dark col-4">4 col</div>
			<div class="bg-secondary py-3 border border-dark col-4">4 col</div>
			<div class="bg-danger py-3 border border-dark col-4">4 col</div>
		</div>
		<!-- Mini activity -->
		<div class="row">
			<div class="bg-warning py-3 border border-dark col-3">3 col</div>
			<div class="bg-success py-3 border border-dark col-6">6 col</div>
			<div class="bg-warning py-3 border border-dark col-3">3 col</div>
		</div>
		<h2 class="text-center">Auto Columns</h2>
		<!-- auto columns are columns which adjust themselves according to the number left in a row. -->
		<div class="row">
			<div class="bg-success py-5 border border-dark col">Auto 1</div>
			<div class="bg-success py-5 border border-dark col">Auto 2</div>
			<div class="bg-primary py-5 border border-dark col-8">Auto 3</div>
			<div class="bg-success py-5 border border-dark col">Auto 4</div>
			<div class="bg-success py-5 border border-dark col">Auto 5</div>
		</div>
		<h3 class="text-center">Rows with uneven columns</h3>
		<div class="row">
			<div class="bg-info py-5 border border-dark col-7">col-7</div>
			<div class="bg-info py-5 border border-dark col-5">col-5</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-4">col-4</div>
			<div class="bg-info py-5 border border-dark col-10">col-4</div>
		</div>
		<h2 class="text-center">Responsive Columns</h2>
		<!-- Breakpoints
			You can set the number of columns a div occupies per screen using breakpoint
			however, by default, from the smallest screen a div especially with class col will occupy
			12 columns.
			Good practice for layouting is start the layout from small screens (tablet, cp). 
			Breakpoints are the screen or point wherein the number of columns considered changes based on the screensize.
			So from the smallest scrren, a div may occupy the whole row but in a large screen, it only occupies 6 columns.

			Bootstrap was designed with mobile-first approach in mind because the default breakpoint is for the smallest scereen. 
			col-6 - div is 6 columns, mobile or laptop.
			md- screen of a regular ipad
			lg- screen of a desktop or laptop
			xl- screen of a larger monitor or laptop
			col-md-6 - will occupy 100% if the on ipad. will occupy 6 columns once it breaches the md screen size. 
		 -->
		 <div class="row">
		 	<div class="bg-secondary py-3 border border-dark col-md-4">
		 		4 cols md to lg
		 	</div>
		 	<div class="bg-secondary py-3 border border-dark col-md-6">
		 		6 cols md to lg
		 	</div>
		 	<div class="bg-secondary py-3 border border-dark col-md-2">
		 		2 cols md to log
		 	</div>
		 </div>
		 <div class="row">
		 	<div class="bg-dark border border-white col-4">
		 		col-4 from sm to lg
		 	</div>
		 	<div class="bg-primary border border-white col-8 col-md-6">
		 		8 cols 6 cols fromd to lg
		 	</div>
		 </div>
		 <!-- Mini Activity 
		 	Create 2 divs
		 		First div:
		 			-occupies 6 cols from smallest to largest screen
		 			-bg color danger
		 			-border color black
		 		Second div:
		 			-occupies 6 cols from smallest screen
		 			-occupies 10 columns from medium to largest screen
		 			-bg color success
		 			-border color black
		 	Create a row with 3 divs:
		 		First div:
		 			-occupies 12 columns from the smallest screen
		 			-occupies 8 columns from the medium to large screen
		 			-bg color success
		 			-border color black
		 		Second div:
		 			-occupies 6 columns from the smallest scrren
		 			-2 cols from medium to largest screen
		 			-bg color info
		 			-bg color black
		 		Third div:
		 			-occupies 6 cols from smallest scrren
		 			-occupes 2 cols from medium to large
		 			-bg color success
		 			-bg color black
		 	-->
		 	<h2 class="text-center">Row with two divs</h2>
		 	<div class="row">
		 		<div class="bg-primary border border-dark col-6">Sample</div>
		 		<div class="bg-danger border border-dark col-6 col-md-10">Sample</div>
		 	</div>
		 	<h2 class="text-center">Row with three divs</h2>
		 	<div class="row">
		 		<div class="bg-primary border border-dark col-12 col-md-8">Sample</div>
		 		<div class="bg-primary border border-dark col-6 col-md-2">Sample</div>
		 		<div class="bg-danger border border-dark col-6 col-md-2">Sample</div>
		 	</div>




		<!-- JavaScript -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
	</body>
</html>